#include <iostream>
using namespace std;

int main(){
	int n,l;
	cin>>n>>l;
	if(1<=n&&n<=1000&&1<=l&&l<=1000000000){
		int h[n];
		int i_collision=-1;
		bool not_collided=true;
		for(int i=0;i<n;i++){
			cin>>h[i];
			if(h[i]<1||h[i]>1000000000)
				return 0;
			else if(not_collided==true){
				if(l>=h[i]){
				not_collided=false;
				i_collision=i+1;}
			}
			}
		cout<<i_collision;
		
	}
	return 0;
}